Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager
Class CGroupsManagerUnrestrictedSessionData

    java.lang.Object
      org.jasig.portal.channels.groupsmanager.CGroupsManagerUnrestrictedSessionData

All Implemented Interfaces:
  GroupsManagerConstants

Direct Known Subclasses:
  CGroupsManagerSessionData

    public class CGroupsManagerUnrestrictedSessionData

extends java.lang.Object
implements GroupsManagerConstants

Session data that is a subset of CGroupsManagerSessionData.

Version:
  $Revision: 1.6 $
Author:
  Don Fracapane

Field Summary
`IAuthorizationPrincipal` | `authPrincipal`
`IGroupsManagerPermissions` | `gmPermissions`
`boolean` | `isAdminUser`
`org.w3c.dom.Document` | `model`
`IPerson` | `user`

Fields inherited from interface org.jasig.portal.channels.groupsmanager.GroupsManagerConstants
`ADD_REMOVE_PERMISSION, ASSIGN_PERMISSION, BASE_PACKAGE, BROWSE_MODE, COMMANDS_PACKAGE, CREATE_PERMISSION, DELETE_PERMISSION, EDIT_MODE, ENTITY_CLASSNAME, ENTITY_TAGNAME, GROUP_CLASSNAME, GROUP_TAGNAME, GROUPS_PACKAGE, MEMBERS_ONLY_MODE, OWNER, PROPERTIES_TAGNAME, ROOT_GROUP_DESCRIPTION, ROOT_GROUP_TITLE, SECURITY_PACKAGE, SELECT_MODE, SELECT_PERMISSION, UPDATE_PERMISSION, VIEW_PERMISSION, WRAPPERS_PACKAGE`

Constructor Summary
`CGroupsManagerUnrestrictedSessionData()` Creates new CGroupsManagerUnrestrictedSessionData
`CGroupsManagerUnrestrictedSessionData(org.w3c.dom.Document model, IPerson user, boolean isAdminUser, IGroupsManagerPermissions gmPermissions, IAuthorizationPrincipal authPrincipal)` Creates new CGroupsManagerUnrestrictedSessionData

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### model

    public org.w3c.dom.Document model

### user

    public IPerson user

### isAdminUser

    public boolean isAdminUser

### gmPermissions

    public IGroupsManagerPermissions gmPermissions

### authPrincipal

    public IAuthorizationPrincipal authPrincipal

Constructor Detail

### CGroupsManagerUnrestrictedSessionData

    public CGroupsManagerUnrestrictedSessionData()

  Creates new CGroupsManagerUnrestrictedSessionData

### CGroupsManagerUnrestrictedSessionData

    public CGroupsManagerUnrestrictedSessionData(org.w3c.dom.Document model,
                                                 IPerson user,
                                                 boolean isAdminUser,
                                                 IGroupsManagerPermissions gmPermissions,
                                                 IAuthorizationPrincipal authPrincipal)

  Creates new CGroupsManagerUnrestrictedSessionData

  Parameters:
    `model` - Document
    `user` - IPerson
    `isAdminUser` - boolean
    `gmPermissions` - IGroupsManagerPermissions
    `authPrincipal` - IAuthorizationPrincipal

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD